summaryrefslogtreecommitdiffstats
path: root/src/ci/scripts/run-build-from-ci.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/ci/scripts/run-build-from-ci.sh')
-rwxr-xr-xsrc/ci/scripts/run-build-from-ci.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/src/ci/scripts/run-build-from-ci.sh b/src/ci/scripts/run-build-from-ci.sh
new file mode 100755
index 000000000..c02117f45
--- /dev/null
+++ b/src/ci/scripts/run-build-from-ci.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+# Start the CI build. You shouldn't run this locally: call either src/ci/run.sh
+# or src/ci/docker/run.sh instead.
+
+set -euo pipefail
+IFS=$'\n\t'
+
+source "$(cd "$(dirname "$0")" && pwd)/../shared.sh"
+
+export CI="true"
+export SRC=.
+
+# Remove any preexisting rustup installation since it can interfere
+# with the cargotest step and its auto-detection of things like Clippy in
+# the environment
+rustup self uninstall -y || true
+if [ -z "${IMAGE+x}" ]; then
+ src/ci/run.sh
+else
+ src/ci/docker/run.sh "${IMAGE}"
+fi